---
title: 控制您的 Android 手機
weight: 4
---

### 分享您的 Android 手機的畫面或檔案
------

1.1.9 版本開始，Android 客戶端增加了分享手機畫面和檔案系統的功能。

- 需要 Android 6 或以上版本以使用畫面分享
- 需要 Android 10 或以上版本以分享系統音訊
- iOS 尚未支援畫面分享

#### **取得權限和啟動服務**

點擊下方瀏覽列的`分享畫面`

根據需要，配置各項權限，每次啟動 RustDesk，您都需要重新請求 "畫面擷取" 和 "輸入控制" 權限。

![](/docs/en/client/android/images/server_off_en.jpg?width=300px)

| 權限             | 說明                                                     |
| --------------- | -------------------------------------------------------- |
| 畫面擷取 | 是否啟動畫面錄製分享權限，啟動的同時即開啟監聽服務 |
| 輸入控制* | 是否允許控制者控制手機的輸入，比如用滑鼠進行虛擬觸控操作          |
| 檔案傳輸*   | 是否開啟檔案傳輸權限，啟動後可遠端控制這台手機的檔案系統    |
| 音訊擷取   | 是否分享手機的系統音訊 (非麥克風輸入)   |

{{% notice note %}}
其中，* 代表特殊權限，獲取此類權限需要跳轉到 Android 系統設定頁面手動授權，詳情如下
{{% /notice %}}

#### **特殊權限獲取 - 檔案**

| 獲取 Android 檔案權限將會自動跳轉到系統設定頁面  |
| :---------------: |
| ![](/docs/en/client/android/images/get_file_en.jpg?width=300px) |

#### **特殊權限獲取 - 滑鼠輸入**
| 步驟一 找到“已安裝的服務”      | 步驟二  啟動 RustDesk Input   |
| --------------- | -------------------------------------------------------- |
| ![](/docs/en/client/android/images/get_input1_en.png?width=300px) | ![](/docs/en/client/android/images/get_input2_en.jpg?width=300px) |

{{% notice note %}}
不同 Android 手機系統的系統設定頁面可能會不同，請根據您的系統頁面調整
{{% /notice %}}

**遠端滑鼠控制 Android 的快捷操作：**

- 點擊滑鼠右鍵：返回
- 點擊滑鼠滾輪：主頁
- 長按滑鼠滾輪：最近打開的應用程式
- 滑鼠滾輪滾動：模擬垂直方向滑動

#### **啟動服務**

獲取 `畫面錄製` 權限後將自動啟動服務，也可以通過點擊`啟動服務`按鈕開啟服務，服務啟動後即可接受來自其他裝置的桌面控制請求。

若開啟了`檔案傳輸`權限，也可以接受來自其他裝置的檔案控制請求。

啟動服務後，會自動為此裝置獲取唯一 ID 和隨機的密碼，其他裝置可以通過 ID 與密碼對手機進行控制，也可以在收到新請求時手動進行確認。

| 啟動服務前      | 啟動服務後   |
| --------------- | -------------------------------------------------------- |
| ![](/docs/en/client/android/images/server_off_en.jpg?width=300px) | ![](/docs/en/client/android/images/server_on_en.jpg?width=300px) |

{{% notice note %}}
1. 點擊`啟動服務`會默認開啟`畫面錄製`權限。
2. 未獲得`畫面錄製`權限時，其他裝置無法發出控制請求。
3. 除`畫面錄製`權限外，其他權限的切換只會對新的連接產生影響，不會影響已經建立的連接。如需對已建立的連接切換權限，請先關閉當前連接，修改權限後再接收控制請求。
{{% /notice %}}

##### PC

![](/docs/en/client/android/images/android_server_pc_side_en.png?width=700px)

##### 手機端

| 可以隨時停止服務或關閉指定連接      | 可以接收或發起聊天   |
| --------------- | -------------------------------------------------------- |
| ![](/docs/en/client/android/images/android_on_en.jpg?width=300px) | ![](/docs/en/client/android/images/android_server2_en.jpg?width=300px) |